# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-10-12 06:26
from __future__ import unicode_literals

import apps.sale_opportunity.models
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('structure', '0001_initial'),
        ('clients', '0001_initial'),
        ('products', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('description', models.CharField(max_length=200, verbose_name='(*)Descripción')),
                ('start_date', models.DateField(verbose_name='(*)Fecha de Inicio')),
                ('end_date', models.DateField(verbose_name='(*)Fecha de Vencimiento')),
                ('type', models.CharField(choices=[('1', 'Reunión'), ('2', 'Correo'), ('2', 'Llamada')], max_length=1, verbose_name='(*)Tipo')),
                ('alert', models.BooleanField(default=False, verbose_name='Tiene Alerta')),
            ],
            options={
                'verbose_name': 'Actividad',
                'verbose_name_plural': 'Actividades',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='AttachedFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(blank=True, max_length=10, null=True, verbose_name='Código')),
                ('file_doc', models.FileField(blank=True, null=True, upload_to=apps.sale_opportunity.models.upload_file)),
                ('description', models.CharField(blank=True, max_length=200, null=True, verbose_name='Descripcion')),
            ],
            options={
                'verbose_name': 'Archivo Adjunto',
                'verbose_name_plural': 'Archivos Adjuntos',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='ContactWay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('correlative', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'ContactWay',
                'verbose_name_plural': 'ContactWays',
                'default_related_name': 'contactWays',
            },
        ),
        migrations.CreateModel(
            name='Phase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('correlative_num', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('name', models.CharField(max_length=100, verbose_name='Fase')),
                ('probability', models.PositiveIntegerField(validators=[django.core.validators.MaxValueValidator(100)], verbose_name='Probabilidad')),
                ('is_first', models.BooleanField(default=False)),
                ('is_last', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'Phase',
                'verbose_name_plural': 'Phases',
                'default_related_name': 'phases',
            },
        ),
        migrations.CreateModel(
            name='Priority',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('correlative', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'Priority',
                'verbose_name_plural': 'Priorities',
                'default_related_name': 'priorities',
            },
        ),
        migrations.CreateModel(
            name='ReasonLoss',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('correlative', models.PositiveIntegerField(null=True, verbose_name='Correlativo')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=100, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'ReasonLoss',
                'verbose_name_plural': 'ReasonsLoss',
                'default_related_name': 'reasonsLoss',
            },
        ),
        migrations.CreateModel(
            name='Result',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('last_modified', models.DateTimeField(auto_now=True)),
                ('is_deleted', models.BooleanField(default=False, editable=False)),
                ('name', models.CharField(max_length=200, verbose_name='(*)Nombre')),
                ('is_enabled', models.BooleanField(default=False, verbose_name='Habilitado')),
            ],
            options={
                'verbose_name': 'Resultado',
                'verbose_name_plural': 'Resultados',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='SaleOpportunity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(max_length=16, null=True, verbose_name='Código')),
                ('sale_opp_num', models.PositiveIntegerField(null=True, verbose_name='Correlativo de Oportunidad')),
                ('sale_anio', models.CharField(default='2018', max_length=4)),
                ('description', models.TextField(blank=True, null=True, verbose_name='Descripcion')),
                ('revenue', models.PositiveIntegerField(null=True, verbose_name='Revenue')),
                ('real_revenue', models.PositiveIntegerField(null=True, verbose_name='Revenue')),
                ('estimated_time', models.PositiveIntegerField(null=True, validators=[django.core.validators.MaxValueValidator(99)], verbose_name='Tiempo Estimado')),
                ('profit', models.FloatField(blank=True, null=True, verbose_name='Ganancia')),
                ('contact', models.CharField(blank=True, max_length=100, null=True, verbose_name='Contacto')),
                ('contact_position', models.CharField(blank=True, max_length=20, null=True, verbose_name='Cargo de Contacto')),
                ('contact_phone', models.CharField(blank=True, max_length=15, null=True, verbose_name='Teléfono de Contacto')),
                ('contact_email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email de Contacto')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clientes', to='clients.Client', verbose_name='Cliente')),
                ('company', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='structure.Company', verbose_name='Empresa')),
                ('contact_way', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='sale_opportunity.ContactWay', verbose_name='Medio de Contacto')),
                ('phase', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='sale_opportunity.Phase', verbose_name='Fase de Venta')),
                ('priority', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='sale_opportunity.Priority', verbose_name='Prioridad')),
                ('reason_loss', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='sale_opportunity.ReasonLoss', verbose_name='Razón de Perdida')),
                ('subproduct', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='products.SubProduct', verbose_name='Subproducto')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sale_opportunities', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'SaleOpportunity',
                'verbose_name_plural': 'SaleOpportunities',
                'ordering': ['-created_at'],
                'default_related_name': 'saleOpportunities',
            },
        ),
        migrations.CreateModel(
            name='SaleOpportunityDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('month_year', models.CharField(blank=True, max_length=15, null=True, verbose_name='Mes-Año')),
                ('quota_code', models.CharField(max_length=20)),
                ('partial_revenue', models.FloatField(blank=True, null=True, verbose_name='Ingreso Parcial')),
                ('is_paid', models.BooleanField(default=False, verbose_name='Pagado?')),
                ('pay_day_relative', models.DateField(blank=True, null=True, verbose_name='Fecha de pago relativa')),
                ('sale_opportunity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='saleopportunitydetails', to='sale_opportunity.SaleOpportunity')),
            ],
            options={
                'verbose_name': 'SaleOpportunityDetail',
                'verbose_name_plural': 'SaleOpportunityDetails',
                'default_related_name': 'saleopportunitydetails',
            },
        ),
        migrations.CreateModel(
            name='TypeAttachedFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('code', models.CharField(max_length=10, null=True, verbose_name='Código')),
                ('name', models.CharField(max_length=50, null=True, verbose_name='Nombre')),
                ('description', models.CharField(blank=True, max_length=200, null=True, verbose_name='Descripcion')),
            ],
            options={
                'verbose_name': 'Tipo Archivo Adjunto',
                'verbose_name_plural': 'Tipos de Archivos Adjuntos',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AddField(
            model_name='attachedfile',
            name='sale_opportunity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sale_opportunity.SaleOpportunity', verbose_name='Oportunidad de venta'),
        ),
        migrations.AddField(
            model_name='attachedfile',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='sale_opportunity.TypeAttachedFile', verbose_name='Tipo'),
        ),
        migrations.AddField(
            model_name='activity',
            name='result',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='activity', to='sale_opportunity.Result', verbose_name='Resultado'),
        ),
        migrations.AddField(
            model_name='activity',
            name='sale_opportunity',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='activities', to='sale_opportunity.SaleOpportunity', verbose_name='Oportunidad de venta'),
        ),
    ]
